LinuxQMISDK: qaGobiApiSms.h File Reference

LinuxQMISDK SLQS03.03.07

- Main Page
- Modules
- References
- Data Structures

- File List
- Globals

Data Structures | Macros | Typedefs | Functions
qaGobiApiSms.h File Reference
Short Message Service (SMS)

Short Message Service API function prototypes. More...

Go to the source code of this file.

## Data Structures
struct | slqssendsmsparams_s
struct | BroadcastConfig
struct | _qaQmi3GPPBroadcastCfgInfo
struct | CDMABroadcastConfig
struct | _qaQmi3GPP2BroadcastCfgInfo
struct | cdmaMsgEncodingParams
struct | cdmaMsgDecodingParams
struct | wcdmaMsgEncodingParams
struct | wcdmaMsgDecodingParams
struct | _transLayerinfo
struct | _getTransLayerInfoResp
struct | _getTransNWRegInfoResp
struct | _getIndicationRegResp
struct | _setIndicationRegReq
struct | smsRouteEntry
struct | smsSetRoutesReq
struct | smsMsgprotocolResp
struct | smsMaxStorageSizeReq
struct | smsMaxStorageSizeResp
struct | messageWaitingInfoContent
struct | getMsgWaitingInfo
struct | slqssendasyncsmsparams_s

## Macros
#define | CONFIG_LEN 0x05
#define | TIME_STAMP_BUF 0x08
#define | ABSOLUTE_VALIDITY 0x08
#define | TIME_DATE_BUF 0x09
#define | MAX_SMS_ROUTES 0x0A
#define | NUM_OF_SET 0xFF

## Typedefs
typedef struct _qaQmi3GPPBroadcastCfgInfo | qaQmi3GPPBroadcastCfgInfo
typedef struct _qaQmi3GPP2BroadcastCfgInfo | qaQmi3GPP2BroadcastCfgInfo
typedef struct _transLayerinfo | transLayerInfo
typedef struct _getTransLayerInfoResp | getTransLayerInfoResp
typedef struct _getTransNWRegInfoResp | getTransNWRegInfoResp
typedef struct _getIndicationRegResp | getIndicationRegResp
typedef struct _setIndicationRegReq | setIndicationRegReq

## Functions
ULONG | SLQSDeleteSMS (ULONG storageType, ULONG *pMessageIndex, ULONG *pMessageTag, BYTE *pMessageMode)
ULONG | SLQSGetSMS (ULONG storageType, ULONG messageIndex, ULONG *pMessageTag, ULONG *pMessageFormat, ULONG *pMessageSize, BYTE *pMessage, BYTE *pMessageMode)
ULONG | SendSMS (ULONG messageFormat, ULONG messageSize, BYTE *pMessage, ULONG *pMessageFailureCode)
ULONG | SLQSSendSMS (slqssendsmsparams_s *pSendSmsParams)
ULONG | GetSMSCAddress (BYTE addressSize, CHAR *pSMSCAddress, BYTE typeSize, CHAR *pSMSCType)
ULONG | SetSMSCAddress (CHAR *pSMSCAddress, CHAR *pSMSCType)
ULONG | SaveSMS (ULONG storageType, ULONG messageFormat, ULONG messageSize, BYTE *pMessage, ULONG *pMessageIndex)
ULONG | SLQSGetSMSList (ULONG storageType, ULONG *pRequestedTag, ULONG *pMessageListSize, BYTE *pMessageList, BYTE *pMessageMode)
ULONG | SLQSModifySMSStatus (ULONG storageType, ULONG messageIndex, ULONG messageTag, BYTE *pMessageMode)
ULONG | SLQSGetSmsBroadcastConfig (BYTE mode, qaQmi3GPPBroadcastCfgInfo *pBroadcastConfig, qaQmi3GPP2BroadcastCfgInfo *pCDMABroadcastConfig)
ULONG | SLQSSetSmsBroadcastConfig (BYTE mode, qaQmi3GPPBroadcastCfgInfo *pBroadcastConfig, qaQmi3GPP2BroadcastCfgInfo *pCDMABroadcastConfig)
ULONG | SLQSSetSmsBroadcastActivation (BYTE mode, BYTE broadcastActivate)
ULONG | SLQSCDMAEncodeMOTextMsg (struct cdmaMsgEncodingParams *pCdmaMsgEncodingParams)
ULONG | SLQSCDMADecodeMTTextMsg (struct cdmaMsgDecodingParams *pCdmaMsgDecodingParams)
ULONG | SLQSWCDMAEncodeMOTextMsg (struct wcdmaMsgEncodingParams *pWcdmaMsgEncodingParams)
ULONG | SLQSWCDMADecodeMTTextMsg (struct wcdmaMsgDecodingParams *pWcdmaMsgDecodingParams)
ULONG | SLQSGetTransLayerInfo (getTransLayerInfoResp *pGetTransLayerInfoResp)
ULONG | SLQSGetTransNWRegInfo (getTransNWRegInfoResp *pGetTransNWRegInfoResp)
ULONG | SLQSGetIndicationRegister (getIndicationRegResp *pGetIndicationRegInfo)
ULONG | SLQSSetIndicationRegister (setIndicationRegReq *pSetIndicationRegReq)
ULONG | SLQSSmsSetRoutes (smsSetRoutesReq *pSetRoutesReq)
ULONG | SLQSSmsGetMessageProtocol (smsMsgprotocolResp *pMessageProtocol)
ULONG | SLQSSmsGetMaxStorageSize (smsMaxStorageSizeReq *pMaxStorageSizeReq, smsMaxStorageSizeResp *pMaxStorageSizeResp)
ULONG | SLQSGetMessageWaiting (getMsgWaitingInfo *pGetMsgWaitingInfoResp)
ULONG | SLQSSendAsyncSMS (slqssendasyncsmsparams_s *pSendSmsParams)
ULONG | SLQSSetSmsStorage (BYTE smsStorage)
ULONG | SLQSSwiGetSMSStorage (ULONG *pSmsStorage)

## Detailed Description

Short Message Service API function prototypes.

Copyright: © 2011-2013 Sierra Wireless, Inc. all rights reserved

## Macro Definition Documentation

#define ABSOLUTE_VALIDITY 0x08

#define CONFIG_LEN 0x05

#define MAX_SMS_ROUTES 0x0A

#define NUM_OF_SET 0xFF

#define TIME_DATE_BUF 0x09

#define TIME_STAMP_BUF 0x08

## Typedef Documentation

typedef struct _getIndicationRegResp getIndicationRegResp

This structure contains Get Indication Register Response parameters

Parameters

  pRegTransLayerInfoEvt | - Optional 1 BYTE parameter indicating registration status of transport layer information events Values: 0x00 - Disabled 0x01 - Enabled function SLQSGetIndicationRegister() returns a default value 0xFF if this parameter is allocated memory in the structure and no response is received from the device.
  pRegTransNWRegInfoEvt | - Optional 1 BYTEparameter indicating registration status of transport network registration information events Values: 0x00 - Disabled 0x01 - Enabled function SLQSGetIndicationRegister() returns a default value 0xFF if this parameter is allocated memory in the structure and no response is received from the device.
  pRegCallStatInfoEvt | - Optional 1 BYTE parameter indicating registration status of call status information events Values: 0x00 - Disabled 0x01 - Enabled function SLQSGetIndicationRegister() returns a default value 0xFF if this parameter is allocated memory in the structure and no response is received from the device.

typedef struct _getTransLayerInfoResp getTransLayerInfoResp

This structure contains Get Transport Layer Info Response parameters

Parameters

  pRegInd | - Optional parameter indicating if transport layer is registered Values: 0x00 - Transport layer is not registered 0x01 - Transport layer is registered function SLQSGetTransLayerInfo() returns a default value 0xFF if no response is received from the device.
  pTransLayerInfo | Pointer to structure of transLayerInfo. Optional parameter See transLayerInfo for more information function SLQSGetTransLayerInfo() returns a default value 0xFF for parameter values if no response is received from the device.

typedef struct _getTransNWRegInfoResp getTransNWRegInfoResp

This structure contains transport network registration info parameter

Parameters

  pRegStatus | - Optional 1 BYTE parameter indicating transport layer network registration status Values: 0x00 - No service 0x01 - In progress 0x02 - Failed 0x03 - Limited Service 0x04 - Full Service function SLQSGetTransNWRegInfo() returns a default value 0xFF if no response is received from the device.

typedef struct _qaQmi3GPP2BroadcastCfgInfo qaQmi3GPP2BroadcastCfgInfo

This structure contains the 3GPP2 Broadcast Configuration Information parameters

Parameters

  activated_ind | Broadcast SMS 0x00 - Deactivated 0x01 - Activated
  num_instances | Number of sets (N) of parameters Following each set describes one entry in the broadcast configuration table. serviceCategory language selected
  broadcastConfig | A CDMABroadcastConfig structure array. Further defined by the structure CDMABroadcastConfig

typedef struct _qaQmi3GPPBroadcastCfgInfo qaQmi3GPPBroadcastCfgInfo

This structure contains the 3GPP Broadcast Configuration Information parameters

Parameters

  activated_ind | Broadcast SMS 0x00 - Deactivated 0x01 - Activated
  num_instances | Number of sets (N) of parameters Following each set describes one entry in the broadcast configuration table. fromServiceId toServiceId selected
  broadcastConfig | A BroadcastConfig structure array. Further defined by the structure BroadcastConfig

typedef struct _setIndicationRegReq setIndicationRegReq

This structure contains Indication Register request parameters

Parameters

  pRegTransLayerInfoEvt | - Optional 1 BYTE parameter indicating registration status of transport layer information events Values: 0x00 - Disabled 0x01 - Enabled NULL - No change - specifying NULL indicates that the device will continue to use the existing setting (disable/enable) which has been previously set for the device
  pRegTransNWRegInfoEvt | - Optional 1 BYTE parameter indicating registration status of transport network registration information events Values: 0x00 - Disabled 0x01 - Enabled NULL - No change - specifying NULL indicates that the device will continue to use the existing setting (disable/enable) which has been previously set for the device
  pRegCallStatInfoEvt | - Optional 1 BYTE parameter indicating registration status of call status information events Values: 0x00 - Disabled 0x01 - Enabled NULL - No change - specifying NULL indicates that the device will continue to use the existing setting (disable/enable) which has been previously set for the device

typedef struct _transLayerinfo transLayerInfo

This structure contains Transport Layer Information

Parameters

  TransType | Transport Type 0x00 - IMS
  TransCap | Transport Capability Values: 0x00 - CDMA 0x01 - GW

## Function Documentation

ULONG GetSMSCAddress | ( | BYTE | addressSize,
|  | CHAR * | pSMSCAddress,
|  | BYTE | typeSize,
|  | CHAR * | pSMSCType
| ) |  |

Gets the SMS center address.

Parameters

  addressSize | The maximum number of characters (including NULL terminator) that the SMS center address array can contain.
  pSMSCAddress[0UT] | The SMS center address represented as a NULL terminated string.
  typeSize | The maximum number of characters (including NULL terminator) that the SMS center address type array can contain.
  pSMSCType[0UT] | The SMS center address type represented as a NULL terminated string.

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Technology Supported: ALL
  Timeout: 2 seconds

ULONG SaveSMS | ( | ULONG | storageType,
|  | ULONG | messageFormat,
|  | ULONG | messageSize,
|  | BYTE * | pMessage,
|  | ULONG * | pMessageIndex
| ) |  |

Saves an SMS message to device memory

Parameters

  storageType | SMS message storage type 0 - UIM - Invalid in case of CDMA device that does not require SIM 1 - NV
  messageFormat | Message format 0 - CDMA (IS-637B) 1 - 5 (Reserved) 6 - GSM/WCDMA PP
  messageSize | The length of the message contents in bytes
  pMessage[IN] | The message contents
  pMessageIndex[OUT] | The message index assigned by the device

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Technology Supported: ALL
  Timeout: 10 seconds

ULONG SendSMS | ( | ULONG | messageFormat,
|  | ULONG | messageSize,
|  | BYTE * | pMessage,
|  | ULONG * | pMessageFailureCode
| ) |  |

Sends an SMS message for immediate over-the-air transmission

Parameters

  messageFormat | Message format 0 - CDMA (IS-637B) 1 - 5 (Reserved) 6 - GSM/WCDMA PP
  messageSize | The length of the message contents in bytes
  pMessage[IN] | The message contents
  pMessageFailureCode[OUT] | pointer to message failure code. If cause code is not provided, then value will be 0xFFFFFFFF

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Technology Supported: ALL
  Timeout: 5 minutes

ULONG SetSMSCAddress | ( | CHAR * | pSMSCAddress,
|  | CHAR * | pSMSCType
| ) |  |

Sets the SMS center address.

Parameters

  pSMSCAddress[IN] | The SMS center address represented as a NULL terminated string
  pSMSCType[IN] | The SMS center address type represented as a NULL terminated string (optional).

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Technology Supported: ALL
  Timeout: 5 seconds

ULONG SLQSCDMADecodeMTTextMsg | ( | struct cdmaMsgDecodingParams * | pCdmaMsgDecodingParams | ) |

Decodes text message to CDMA PDU message

Parameters

  pMsgToBeEncodedCDMA[IN/OUT] | Pointer to structure containing parameters needed for decoding

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  see qmerrno.h for eQCWWAN_xxx error values

Note
  Technology Supported: CDMA
  Timeout: None

ULONG SLQSCDMAEncodeMOTextMsg | ( | struct cdmaMsgEncodingParams * | pCdmaMsgEncodingParams | ) |

Encodes text message to CDMA PDU message.

Parameters

  pMsgToBeEncodedCDMA[IN/OUT] | SLQS Runtime Settings Information

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  see qmerrno.h for eQCWWAN_xxx error values

Note
  Technology Supported: CDMA
  Timeout: None

ULONG SLQSDeleteSMS | ( | ULONG | storageType,
|  | ULONG * | pMessageIndex,
|  | ULONG * | pMessageTag,
|  | BYTE * | pMessageMode
| ) |  |

Deletes one or more SMSs from device memory. If both of the optional parameters, messageIndex and messageTag, are NULL, all messages are deleted from the storage location specified in the mandatory storageType parameter. The optional index and tag parameters narrow the range of messages being deleted. If an index is specified, the single message with the index from the specified memory store will be deleted. If a tag is specified, all messages in the specified memory store whose tag matches that specified will be deleted.
There are three ways to use this message:

- Specify storageType only
  - Deletes all messages from memory storage
- Specify storageType and a tag
  - Deletes all messages from memory storage that match the given message tag
- Specify storageType and an index
  - Deletes only the message with the given index from memory storage

Parameters

  storageType | SMS message storage type 0 - UIM - Invalid in case of CDMA device that does not require SIM 1 - NV
  pMessageIndex[IN] | (Optional) message index
  pMessageTag[IN] | (Optional) message tag 0 - Read 1 - Not read 2 - Mobile originated and sent 3 - Mobile originated but not yet sent
  pMessageMode[IN] | 0x00 - CDMA, LTE (if network type is CDMA) 0x01 - GW, LTE (if network type is UMTS)

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Technology Supported: ALL
  Timeout: 10 seconds

ULONG SLQSGetIndicationRegister | ( | getIndicationRegResp * | pGetIndicationRegInfo | ) |

This API provides registration state of different WMS indications.

Parameters

  pGetIndicationRegInfo | [OUT] Pointer to structure of getIndicationRegResp See getIndicationRegResp for more information

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 2 Secs

ULONG SLQSGetMessageWaiting | ( | getMsgWaitingInfo * | pGetMsgWaitingInfoResp | ) |

This API provides information about the message waiting information.

Parameters

  pGetMsgWaitingInfoResp | [OUT] Pointer to structure of getMsgWaitingInfoResp See getMsgWaitingInfoResp for more information

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 2 Secs

ULONG SLQSGetSMS | ( | ULONG | storageType,
|  | ULONG | messageIndex,
|  | ULONG * | pMessageTag,
|  | ULONG * | pMessageFormat,
|  | ULONG * | pMessageSize,
|  | BYTE * | pMessage,
|  | BYTE * | pMessageMode
| ) |  |

Returns an SMS from device memory.

Parameters

  storageType | SMS message storage type 0 - UIM - Invalid in case of CDMA device that does not require SIM 1 - NV
  messageIndex | Message index
  pMessageTag[OUT] | Message tag 0 - Read 1 - Not read 2 - Mobile originated and sent 3 - Mobile originated but not yet sent
  pMessageFormat[OUT] | Message format 0 - CDMA (IS-637B) 1 - 5 (Reserved) 6 - GSM/WCDMA PP
  pMessageSize[IN/OUT] | Upon input the maximum number of bytes that can be written to the message array. Upon successful output the actual number of bytes written to the message array.
  pMessage[OUT] | The message contents array
  pMessageMode[IN] | 0x00 - CDMA, LTE (if network type is CDMA) 0x01 - GW, LTE (if network type is UMTS)

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Technology Supported: ALL
  Timeout: 5 seconds

ULONG SLQSGetSmsBroadcastConfig | ( | BYTE | mode,
|  | qaQmi3GPPBroadcastCfgInfo * | pBroadcastConfig,
|  | qaQmi3GPP2BroadcastCfgInfo * | pCDMABroadcastConfig
| ) |  |

Provides Information about the SMS BroadcastConfiguration

Parameters

  mode | Mode 0x00 - CDMA, LTE (if network type is CDMA) 0x01 - GW, LTE (if network type is UMTS)
  pBroadcastConfig[OUT] | The data for 3GPP Broadcast Information.
  pCDMABroadcastConfig[OUT] | The data for 3GPP2 Broadcast Information.

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Technology Supported: ALL
  Timeout: 5 seconds

ULONG SLQSGetSMSList | ( | ULONG | storageType,
|  | ULONG * | pRequestedTag,
|  | ULONG * | pMessageListSize,
|  | BYTE * | pMessageList,
|  | BYTE * | pMessageMode
| ) |  |

Returns the list of SMS messages stored on the device.

Parameters

  storageType | SMS message storage type 0 - UIM - Invalid in case of CDMA device that does not require SIM 1 - NV
  pRequestedTag[IN] | (Optional) Message tag 0 - Read 1 - Not read 2 - Mobile originated and sent 3 - Mobile originated but not yet sent
  pMessageListSize[IN/OUT] | Upon input the maximum number of elements that the message list array can contain. Upon successful output the actual number of elements in the message list array.
  pMessageList[OUT] | The message list array
  pMessageMode[IN] | 0x00 - CDMA, LTE (if network type is CDMA) 0x01 - GW, LTE (if network type is UMTS)

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Technology Supported: ALL
  Timeout: 5 seconds

ULONG SLQSGetTransLayerInfo | ( | getTransLayerInfoResp * | pGetTransLayerInfoResp | ) |

This API provides information about the transport layer.

Parameters

  pGetTransLayerInfoResp | [OUT] Pointer to structure of getTransLayerInfoResp See getTransLayerInfoResp for more information

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 2 Secs

ULONG SLQSGetTransNWRegInfo | ( | getTransNWRegInfoResp * | pGetTransNWRegInfoResp | ) |

This API provides transport layer network registration info.

Parameters

  pGetTransNWRegInfoResp | [OUT] Pointer to structure of getTransNWRegInfoResp See getTransNWRegInfoResp for more information

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 2 Secs

ULONG SLQSModifySMSStatus | ( | ULONG | storageType,
|  | ULONG | messageIndex,
|  | ULONG | messageTag,
|  | BYTE * | pMessageMode
| ) |  |

Modifies the status of an SMS message saved in storage on the device.

Parameters

  storageType | SMS message storage type 0 - UIM - Invalid in case of CDMA device that does not require SIM 1 - NV
  messageIndex | Message index
  messageTag | Message tag 0 - Read 1 - Not read
  pMessageMode[IN] | 0x00 - CDMA, LTE (if network type is CDMA) 0x01 - GW, LTE (if network type is UMTS)

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Technology Supported: ALL
  Timeout: 5 seconds

ULONG SLQSSendAsyncSMS | ( | slqssendasyncsmsparams_s * | pSendSmsParams | ) |

Sends an SMS message for immediate over-the-air transmission

Parameters

  pSendSmsParams | structure containing the SMS parameters. Refer slqssendasyncsmsparams_s

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Technology Supported: ALL
  Timeout: 5 minutes

ULONG SLQSSendSMS | ( | slqssendsmsparams_s * | pSendSmsParams | ) |

Sends an SMS message for immediate over-the-air transmission

Parameters

  pSendSmsParams | structure containing the SMS parameters. Refer slqssendsmsparams_s

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Technology Supported: ALL
  Timeout: 5 minutes

ULONG SLQSSetIndicationRegister | ( | setIndicationRegReq * | pSetIndicationRegReq | ) |

This API sets the registration state of different WMS indications.

Parameters

  pSetIndicationRegReq | [IN] Pointer to structure of indicationRegReqParams See setIndicationRegReq for more information

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 2 Secs

ULONG SLQSSetSmsBroadcastActivation | ( | BYTE | mode,
|  | BYTE | broadcastActivate
| ) |  |

Enables or disables the reception of broadcast SMS messages.

Parameters

  Mode | Mode 0x00 - CDMA, LTE (if network type is CDMA) 0x01 - GW, LTE (if network type is UMTS)
  broadcastActivate | 0x00 - Disable broadcast 0x01 - Activate broadcast

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Technology Supported: ALL
  Timeout: 5 seconds

ULONG SLQSSetSmsBroadcastConfig | ( | BYTE | mode,
|  | qaQmi3GPPBroadcastCfgInfo * | pBroadcastConfig,
|  | qaQmi3GPP2BroadcastCfgInfo * | pCDMABroadcastConfig
| ) |  |

Sets the information about the SMS BroadcastConfiguration

Parameters

  mode | Mode 0x00 - CDMA, LTE (if network type is CDMA) 0x01 - GW, LTE (if network type is UMTS)
  pBroadcastConfig[IN] | The data for 3GPP Broadcast Information.
  pCDMABroadcastConfig[IN] | The data for 3GPP2 Broadcast Information.

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Technology Supported: ALL
  Timeout: 5 seconds

ULONG SLQSSetSmsStorage | ( | BYTE | smsStorage | ) |

Sets the SMS Storage on the device

Parameters

  smsStorage | SMS Storage 0x01 - device’s permanent memory 0x02 - UICC

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Technology Supported: ALL
  Timeout: 5 seconds

ULONG SLQSSmsGetMaxStorageSize | ( | smsMaxStorageSizeReq * | pMaxStorageSizeReq,
|  | smsMaxStorageSizeResp * | pMaxStorageSizeResp
| ) |  |

This API provides the maximum number of messages that can be stored in the specified memory storage. Also it provides the number of slots currently available

Parameters

  pMaxStorageSizeReq[IN] | Request parameters for SmsSLQSGetMaxStorageSize See smsMaxStorageSizeReq for more information
  pMaxStorageSizeResp[OUT] | Response parameters for SmsSLQSGetMaxStorageSize See smsMaxStorageSizeResp for more information

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 2 Secs

ULONG SLQSSmsGetMessageProtocol | ( | smsMsgprotocolResp * | pMessageProtocol | ) |

This API queries the message protocol currently in use for the WMS client.

Parameters

  pMessageProtocol | Pointer to smsMsgprotocolResp See smsMsgprotocolResp for more information

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 2 Secs

ULONG SLQSSmsSetRoutes | ( | smsSetRoutesReq * | pSetRoutesReq | ) |

This API sets the action performed on SMS message receipt for specified message routes. It also specifies the action performed on SMS receipt of status reports.

Parameters

  pSetRoutesReq | [IN] Pointer to structure of smsSetRoutesReq See smsSetRoutesReq for more information

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 2 Secs

ULONG SLQSSwiGetSMSStorage | ( | ULONG * | pSmsStorage | ) |

This API queries the device to return current SMS configuration that is applied to all incoming and outgoing messages.

Parameters

  pSmsStorage | Values: 0x01 - device’s permanent memory 0x02 - UICC

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 5 Secs

ULONG SLQSWCDMADecodeMTTextMsg | ( | struct wcdmaMsgDecodingParams * | pWcdmaMsgDecodingParams | ) |

Decodes WCDMA PDU message, returns stucture filled with decoded parameters

Parameters

  pwcdmaMsgDecodingParams[IN/OUT] | Pointer to paramters required for decoding

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  see qmerrno.h for eQCWWAN_xxx error values

Note
  Technology Supported: UMTS
  Timeout: none

ULONG SLQSWCDMAEncodeMOTextMsg | ( | struct wcdmaMsgEncodingParams * | pWcdmaMsgEncodingParams | ) |

Returns the encoded WCDMA PDU message.

Parameters

  pwcdmaMsgEncodingParams[IN/OUT] | Pointer to parameters Required for encoding

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  see qmerrno.h for eQCWWAN_xxx error values

Note
  Technology Supported: UMTS
  Timeout: None